Bug 107945 - kernel 2105 crashes when booting
Summary: kernel 2105 crashes when booting
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-24 19:59 UTC by Richard Torkar
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 09:21:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pic of panic (377.13 KB, image/jpeg)
2003-10-27 14:46 UTC, Richard Torkar
no flags Details

Description Richard Torkar 2003-10-24 19:59:09 UTC
I gave this a high priority and high severity since it is a regression w.r.t.
the kernel.

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014
Epiphany/1.0.1

Description of problem:
When trying to boot the latest kernel it hangs.

VFS: Mounted root (ext 2 filesystem) (I have ext3 btw...)
VFS: Cannot open root device "LABEL=/" or 00:00
Please append correct root= option
Unable to mount root fs on 00:00

Strange... Then I thought that something might have changed in the kernel thus
needing to append the root option.
I appended root=/dev/hda1 to the kernel and it booted BUT gave me other errors
which kernel 2097 does not give me. 

Something like:
ext2_read_super mounting ext3 fs as ext2....

I'd like to stress that this is a regression. Kernel 2097 does not give me any
problems what so ever.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2105.nptl

How reproducible:
Always

Steps to Reproduce:
Install and run that kernel on a DELL L400 laptop.


Actual Results:  Crash

Expected Results:  Should boot as the previous kernel does.

Additional info:

/etc/fstab:
LABEL=/                 /                       ext3    defaults        1 1
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/hda2               swap                    swap    defaults        0 0


[root@/home/torkar]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda1             18706608   6471988  11284380  37% /
none                    127748         0    127748   0% /dev/shm


[root@/home/torkar]# mount
/dev/hda1 on / type ext3 (rw)
none on /proc type proc (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
none on /dev/shm type tmpfs (rw)


# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,0)
#          kernel /boot/vmlinuz-version ro root=/dev/hda1
#          initrd /boot/initrd-version.img
#boot=/dev/hda
default=1
timeout=10
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
title Fedora Core (2.4.22-1.2105.nptl)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.22-1.2105.nptl ro root=LABEL=/
        initrd /boot/initrd-2.4.22-1.2105.nptl.img
title Fedora Core (2.4.22-1.2097.nptl)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.22-1.2097.nptl ro root=LABEL=/
        initrd /boot/initrd-2.4.22-1.2097.nptl.img


[root@~]# e2label /dev/hda1
/

Comment 1 Richard Torkar 2003-10-24 20:06:00 UTC
btw here is the changelog for 2105.
I can't really see what has happened here. Maybe something changed with CONFIG?
* Thu Oct 23 2003 Dave Jones <davej@redhat.com>
 
- More 2.4.23pre resyncs.
  - mprotect LSB compliance fix.
  - Longer i810 audio timeouts.
 
* Wed Oct 22 2003 Dave Jones <davej@redhat.com>
 
- Exec-sheild update to -G4.
- Fix up d_move corner case (Al Viro)
- Firewire use-after-free bugfix (Alexandre Oliva)
- Add support for Treo600 to visor driver
- More 2.4.23pre resyncs.
  - Update TG3 driver
  - Unlink qdiscs in qdisc_destroy even when CONFIG_NET_SCHED is not enabled.
- Consolidate some of the ACPI patches so we can see whats upstream
  and what isn't a little easier.
 
* Sat Oct 18 2003 Dave Jones <davej@redhat.com>
 
- Disable DRM for S3/VIA.


Comment 2 Bill Nottingham 2003-10-27 02:20:54 UTC
Did your initrd get created correctly and added to your boot stanza in
grub/lilo?

Comment 3 Richard Torkar 2003-10-27 06:31:41 UTC
grub.conf has:
title Fedora Core (2.4.22-1.2105.nptl)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.22-1.2105.nptl ro root=LABEL=/
        initrd /boot/initrd-2.4.22-1.2105.nptl.img

[root@/home/torkar]# ls /boot/initrd-2.4.22-1.2105.nptl.img
/boot/initrd-2.4.22-1.2105.nptl.img

[root@/home/torkar]# file /boot/initrd-2.4.22-1.2105.nptl.img
/boot/initrd-2.4.22-1.2105.nptl.img: gzip compressed data, from Unix, max
compression

Comment 4 Bill Nottingham 2003-10-27 13:25:40 UTC
What are the kernel messages *before* the VFS: mounted root (ext2)
message?

Comment 5 Richard Torkar 2003-10-27 14:46:07 UTC
Created attachment 95514 [details]
Pic of panic

This is what happens when I try to boot this kernel.
Note that it complains about the fs being unchecked. I had just booted from a
working kernel and booting/rebooting with that kernel (2097) does not produce
this error, thus this only happens with this kernel (2105)....

Comment 6 Michael K. Johnson 2003-10-27 16:03:30 UTC
This normally means that a driver is missing from the initrd.  Please
recreate your initrd using the mkinitrd program and see if that fixes
it.

mkinitrd -v -f /boot/initrd-2.4.22-1.2105.nptl.img 2.4.22-1.2105.nptl

If it doesn't fix the problem, please paste the output of that command
into this bug report.

Comment 7 Richard Torkar 2003-10-27 16:36:25 UTC
That fixed it! :)

I wonder why this happened in the first place?

Comment 8 Sahil Verma 2004-03-23 02:19:41 UTC
This bug can be squashed.


Note You need to log in before you can comment on or make changes to this bug.